SolrDocument::addField
SolrDocument::__clone
SolrDocument
PHP Manual

# SolrDocument::clear

(PECL solr >= 0.9.2)

SolrDocument::clear — Drops all the fields in the document

### Description

public bool SolrDocument::clear ( void )

Resets the current object. Discards all the fields and resets the document boost to zero.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

SolrDocument::addField
SolrDocument::__clone
SolrDocument
PHP Manual